package com.goldenwater.slgc.service;

import java.util.List;
import java.util.Map;

import com.goldenwater.slgc.domain.AttDikeBase;

/**
 * 堤防信息 Service
 */
public interface DikeService {
    /**
     * 查询堤防信息列表
     * 
     * @param attDikeBase 查询条件
     * @return 堤防信息列表
     */
    public List<AttDikeBase> selectAttDikeBaseList(AttDikeBase attDikeBase);

    /**
     * 通过堤防编码查询堤防信息
     * 
     * @param dikeCode 堤防编码
     * @return 堤防信息
     */
    public AttDikeBase selectAttDikeBaseById(String dikeCode);

    /**
     * 批量删除堤防信息
     * 
     * @param dikeCodes 堤防编码数组
     * @return 删除行数
     */
    public int deleteAttDikeBaseByIds(String[] dikeCodes);

    /**
     * 新增堤防信息
     * 
     * @param attDikeBase 堤防信息
     * @return 插入行数
     */
    public int insertAttDikeBase(AttDikeBase attDikeBase);

    /**
     * 修改堤防信息
     * 
     * @param attDikeBase 堤防信息
     * @return 更新行数
     */
    public int updateAttDikeBase(AttDikeBase attDikeBase);

    /**
     * 统计堤防类型分布
     * 
     * @return 类型分布统计结果
     */
    public List<Map<String, Object>> countType();
}
